# encoding: utf-8
require 'spec_helper'

describe Quandl::Sandbox::Repository do
  
  let(:config){ Quandl::Sandbox.configuration }
  let(:worker){ Quandl::Sandbox::Repository.new }
  
  context "without arguments" do
    subject{ worker }
    its(:git){ should be_blank }
    its(:ref){ should be_blank }
  end
    
  context "with arguments" do
    subject{ Quandl::Sandbox::Repository.new( git: 'github.com/test42/test84', ref: 'master') }
    its(:git){ should eq 'github.com/test42/test84'}
    its(:ref){ should eq 'master'}
  end
  
end